<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [MoneySource](./bitburner.moneysource.md)

## MoneySource interface


**Signature:**

```typescript
interface MoneySource 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [augmentations](./bitburner.moneysource.augmentations.md) |  | number |  |
|  [bladeburner](./bitburner.moneysource.bladeburner.md) |  | number |  |
|  [casino](./bitburner.moneysource.casino.md) |  | number |  |
|  [class](./bitburner.moneysource.class.md) |  | number |  |
|  [codingcontract](./bitburner.moneysource.codingcontract.md) |  | number |  |
|  [corporation](./bitburner.moneysource.corporation.md) |  | number |  |
|  [crime](./bitburner.moneysource.crime.md) |  | number |  |
|  [gang\_expenses](./bitburner.moneysource.gang_expenses.md) |  | number |  |
|  [gang](./bitburner.moneysource.gang.md) |  | number |  |
|  [hacking](./bitburner.moneysource.hacking.md) |  | number |  |
|  [hacknet\_expenses](./bitburner.moneysource.hacknet_expenses.md) |  | number |  |
|  [hacknet](./bitburner.moneysource.hacknet.md) |  | number |  |
|  [hospitalization](./bitburner.moneysource.hospitalization.md) |  | number |  |
|  [infiltration](./bitburner.moneysource.infiltration.md) |  | number |  |
|  [other](./bitburner.moneysource.other.md) |  | number |  |
|  [servers](./bitburner.moneysource.servers.md) |  | number |  |
|  [sleeves](./bitburner.moneysource.sleeves.md) |  | number |  |
|  [stock](./bitburner.moneysource.stock.md) |  | number |  |
|  [total](./bitburner.moneysource.total.md) |  | number |  |
|  [work](./bitburner.moneysource.work.md) |  | number |  |

